Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history of visited files

From: Juri Linkov <[email-masked]>
Date: Mon, 14 Jan 2013 09:52:35 +0200

> Perhaps I wasn't clear enough, but what I had in mind was adding to
> the history every file visited _under direct user request_ (with
> either `C-x C-f', drag-n-drop, click on dired buffer, jump to
> bookmark, menu item, command line argument, etc).

My observations were the result of the experiment when I optimistically
tried this feature, but quickly became annoyed by too many unnecessary
elements added by direct user request in dired, next-error, etc
to the minibuffer history.  When I browse a lot of files using dired
then I likely re-visit them again with the same dired commands,
not with C-x C-f.  OTOH, I expect to see only files visited with C-x C-f
in the history of C-x C-f.

What do you think about adding these file names not to the history
but to the suggestions like in web browsers where the top elements of
the suggestions drop-down list are the most frequently visited pages
(in Emacs this would mean the most frequently visited files).